/* geology16.cpp allows a user to retrieve information about rocks.
 *
 * Receive: the name of a rock
 * Output:  the known information about that rock
 ******************************************************************/

#include <iostream.h>                     // cin, cout

#include "Rock.h"                         // class Rock   

int main()
{
   cout << "This program provides information about "
           "specific rocks.\n";
   
   Rock aRock;                            // input variable
   char response;                         // query response

   do
   {                
      cout << "\nEnter the name of a rock: ";
      cin >> aRock;
      if (cin.fail()) break;
      
      cout << endl << aRock
           << " is classified as a(n) " << aRock.Kind()
           << " rock, and\n its texture is " << aRock.Texture() 
           << endl;
           
      cout << "\nEnter 'c' to continue, anything else to quit: ";
      cin >> response;
   }
   while (response == 'c');
}
